package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 老化层点位信息对象 t_point_info
 * 
 * @author zehong
 * @date 2025-05-28
 */
public class TPointInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点位ID */
    private Long fPointId;

    /** 所属层ID */
    @Excel(name = "所属层ID")
    private Long fStoreyId;

    /** 点位编号 */
    @Excel(name = "点位编号")
    private String fPointCode;

    /** 绑定PCBA设备号 */
    @Excel(name = "绑定PCBA设备号")
    private Long fDeviceCode;

    /** 点位状态：0在线，1离线，2故障 */
    @Excel(name = "点位状态：0在线，1离线，2故障")
    private String fStatus;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 报警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAlarmTime;

    public void setfPointId(Long fPointId) 
    {
        this.fPointId = fPointId;
    }

    public Long getfPointId() 
    {
        return fPointId;
    }
    public void setfStoreyId(Long fStoreyId) 
    {
        this.fStoreyId = fStoreyId;
    }

    public Long getfStoreyId() 
    {
        return fStoreyId;
    }
    public void setfPointCode(String fPointCode) 
    {
        this.fPointCode = fPointCode;
    }

    public String getfPointCode() 
    {
        return fPointCode;
    }
    public void setfDeviceCode(Long fDeviceCode) 
    {
        this.fDeviceCode = fDeviceCode;
    }

    public Long getfDeviceCode() 
    {
        return fDeviceCode;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfAlarmTime(Date fAlarmTime) 
    {
        this.fAlarmTime = fAlarmTime;
    }

    public Date getfAlarmTime() 
    {
        return fAlarmTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fPointId", getfPointId())
            .append("fStoreyId", getfStoreyId())
            .append("fPointCode", getfPointCode())
            .append("fDeviceCode", getfDeviceCode())
            .append("fStatus", getfStatus())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateTime", getfUpdateTime())
            .append("fAlarmTime", getfAlarmTime())
            .toString();
    }
}
